Subject: Re: bug#59361: linux-libre 6 breaks OpenGL on nouveau driver for nvidia 8800 GTS 640 Mo card

From: Tobias Alexandra Platen <[email-masked]>
Date: Sun, 05 May 2024 15:42:29 +0200

That is interesting. Does anybody know which old GPUs will
work with linux-libre. On my Talos II, I noticed that even
old nvidia GPUs do not work, the POWER9 will shutdown the
link to GPU. I guess only AMD and Intel CPUs will work,
and maybe also the RK3399 which I was unable to test.

Alex

On Wed, 2024-05-01 at 12:31 -0400, Maxim Cournoyer wrote:
> Hi,
> 
> Maxim Cournoyer <[email-masked]> writes:
> 
> > Hi,
> > 
> > When booting my Guix System with linux-libre 6.0.8, nouveau
> > silently
> > fails to render OpenGL.  It includes symptoms such as:
> > 
> > 1. Getting stuck on the GDM screen, which makes use of OpenGL
> > 2. Not being able to use Qt5 or Qt6 applications, which renders via
> > OpenGL.
> > 3. the 'glxgears' program from mesa-utils displays frozen gears
> > (not
> > turning)
> > 
> > My graphic card is an old nvidia 8800 GTS with 640 MiB of video
> > RAM.
> > 
> > Workaround: Adding the '(kernel linux-libre-5.15)' to my OS
> > definition
> > fixes it.
> 
> I tried using linux-libre 6.8.8 today (Guix commit
> df3d30819e650a490ef39dd6692740bb13263c75), which has Mesa 24.0.4, and
> can no longer reproduce the problem described above.
> 
> I'm thus happily closing this!
>